Skip to main content

Please check the following System Requirements to ensure your setup is able to run the specific DocMagic applications.

DocMagic eSign System Requirements

Browser Options (Minimum Versions)
  • Chrome 31.0
  • Microsoft Internet Explorer 9
  • Mozilla Firefox ESR and 23.0
  • Safari 6.1
Software
  • Adobe Acrobat Reader® version 6.0 or higher
Internet Connection
  • A high-speed internet connection, such as DSL, Cable, T1 or T3

DocMagic Online v4.25 System Requirements

Display
  • 16-bit color at 1024 x 768 or better screen resolution
Computer
  • PC with Pentium II or higher
  • 512 MB RAM or higher
  • 100 MB available hard disk space
Software
  • Windows XP/2003/Vista/7/8/10
  • Install the Java Plugin 8 or higher
Browser Options (Minimum Versions)
  • Microsoft Internet Explorer 11 or higher
  • Mozilla Firefox ESR and 23.0
Internet Connection
  • A high-speed internet connection, such as DSL, Cable, T1 or T3

DocMagicXL v4.25 System Requirements

Display
  • 16-bit color at 1024 x 768 or better screen resolution
Computer
  • PC with Pentium II or higher
  • 512 MB RAM or higher
  • 100 MB available hard disk space
Software
  • Windows XP/2003/Vista/7/8/10
  • Install the Java Plugin 8 or higher
Browser Options (Minimum Versions)
  • Microsoft Internet Explorer 11 or higher
  • Mozilla Firefox ESR and 23.0
Internet Connection
  • A high-speed internet connection, such as DSL, Cable, T1 or T3

DocMaster v4.4 System Requirements

Computer
  • PC with Pentium II or higher
  • 512 MB RAM or higher
  • 100 MB available hard disk space
Software
  • Windows XP/2003/Vista/7/8/10
Browser Options (Minimum Versions)
  • Microsoft Internet Explorer 8
Printer
  • Windows Compatible Printer
Internet Connection
  • A high-speed internet connection, such as DSL, Cable, T1 or T3